Index: /LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90	(revision 1823)
@@ -12,5 +12,5 @@
   USE Write_Field_loc
   use netcdf, only: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close
-  USE parallel
+  USE parallel_lmdz
   USE pres2lev_mod
 
@@ -293,5 +293,5 @@
 !=======================================================================
   SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
-    use parallel
+    USE parallel_lmdz
     USE control_mod
     USE write_field_loc
@@ -858,5 +858,5 @@
 !=======================================================================
   SUBROUTINE guide_interp(psi,teta)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE Bands
@@ -1975,5 +1975,5 @@
 !=======================================================================
   SUBROUTINE guide_out(varname,hsize,vsize,field,factt)
-    USE parallel
+    USE parallel_lmdz
     IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90	(revision 1823)
@@ -7,5 +7,5 @@
   USE infotrac, ONLY : nqtot
   USE control_mod, ONLY: day_step,planet_type
-  USE parallel
+  USE parallel_lmdz
 #ifdef CPP_IOIPSL
   USE IOIPSL
Index: /LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F	(revision 1823)
@@ -8,5 +8,5 @@
        USE IOIPSL
 #endif
-       use parallel
+       USE parallel_lmdz
        use Write_field
        use misc_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F	(revision 1823)
@@ -10,5 +10,5 @@
        USE IOIPSL
 #endif
-       use parallel
+       USE parallel_lmdz
        use Write_field
        use misc_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F	(revision 1823)
@@ -8,5 +8,5 @@
        USE IOIPSL
 #endif
-       use parallel
+       USE parallel_lmdz
        use Write_field
        use misc_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 1823)
@@ -5,5 +5,5 @@
      $  (  nq,vcovm1,ucovm1,tetam1,psm1,massem1,
      $     dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps0,masse,phis) !,finvmaold)
-      USE parallel
+      USE parallel_lmdz
       USE control_mod
       USE mod_filtreg_p
Index: /LMDZ5/trunk/libf/dyn3dmem/integrd_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/integrd_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/integrd_mod.F90	(revision 1823)
@@ -12,5 +12,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   USE advect_new_mod,ONLY : advect_new_allocate
@@ -30,5 +30,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
     TYPE(distrib),INTENT(IN) :: dist
Index: /LMDZ5/trunk/libf/dyn3dmem/laplacien_gam_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/laplacien_gam_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/laplacien_gam_loc.F	(revision 1823)
@@ -11,5 +11,5 @@
 c      divgra     est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/laplacien_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/laplacien_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/laplacien_loc.F	(revision 1823)
@@ -9,5 +9,5 @@
 c      divgra     est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/laplacien_rot_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/laplacien_rot_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/laplacien_rot_loc.F	(revision 1823)
@@ -10,5 +10,5 @@
 c      rotout           est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/laplacien_rotgam_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/laplacien_rotgam_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/laplacien_rotgam_loc.F	(revision 1823)
@@ -9,5 +9,5 @@
 c      divgra     est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 1823)
@@ -13,5 +13,5 @@
 
        USE misc_mod
-       USE parallel
+       USE parallel_lmdz
        USE times
        USE mod_hallo
Index: /LMDZ5/trunk/libf/dyn3dmem/leapfrog_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/leapfrog_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/leapfrog_mod.F90	(revision 1823)
@@ -40,5 +40,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   USE infotrac
@@ -96,5 +96,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE caldyn_mod,ONLY : caldyn_switch_caldyn
   USE integrd_mod,ONLY : integrd_switch_caldyn
@@ -145,5 +145,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE call_dissip_mod,ONLY : call_dissip_switch_dissip
   IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/massbar_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/massbar_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/massbar_loc.F	(revision 1823)
@@ -13,5 +13,5 @@
 c     
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/massbarxy_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE massbarxy_loc(  masse, massebxy )
-      USE parallel
+      USE parallel_lmdz
       implicit none
 c **********************************************************************
Index: /LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/massdair_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE massdair_loc( p, masse )
-      USE parallel
+      USE parallel_lmdz
 c
 c *********************************************************************
Index: /LMDZ5/trunk/libf/dyn3dmem/mod_filtreg_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/mod_filtreg_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/mod_filtreg_p.F	(revision 1823)
@@ -5,5 +5,5 @@
       SUBROUTINE filtreg_p ( champ,jjb,jje, ibeg, iend, nlat, nbniv, 
      &     ifiltre, iaire, griscal ,iter)
-      USE Parallel, only : OMP_CHUNK
+      USE parallel_lmdz, only : OMP_CHUNK
       USE mod_filtre_fft_loc
       USE timer_filtre
Index: /LMDZ5/trunk/libf/dyn3dmem/mod_hallo.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/mod_hallo.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/mod_hallo.F90	(revision 1823)
@@ -1,4 +1,4 @@
 module mod_Hallo
-USE parallel
+USE parallel_lmdz
 implicit none
   logical,save :: use_mpi_alloc
@@ -340,5 +340,5 @@
 
   SUBROUTINE Register_SwapField1d_u(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -371,5 +371,5 @@
 
   SUBROUTINE Register_SwapField2d_u1d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
     IMPLICIT NONE
@@ -405,5 +405,5 @@
 
   SUBROUTINE Register_SwapField3d_u(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -440,5 +440,5 @@
 
  SUBROUTINE Register_SwapField1d_u2d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
 
@@ -472,5 +472,5 @@
 
   SUBROUTINE Register_SwapField2d_u2d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
 
@@ -507,5 +507,5 @@
 
   SUBROUTINE Register_SwapField3d_u2d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -546,5 +546,5 @@
 
   SUBROUTINE Register_SwapField1d_v(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -577,5 +577,5 @@
 
   SUBROUTINE Register_SwapField2d_v1d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -611,5 +611,5 @@
 
   SUBROUTINE Register_SwapField3d_v(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -647,5 +647,5 @@
 
   SUBROUTINE Register_SwapField1d_v2d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -678,5 +678,5 @@
 
   SUBROUTINE Register_SwapField2d_v2d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -712,5 +712,5 @@
 
   SUBROUTINE Register_SwapField3d_v2d(FieldS,FieldR,new_dist,a_request,old_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -747,5 +747,5 @@
 
   SUBROUTINE Register_SwapField_gen_u(FieldS,FieldR,ll,old_dist,new_dist,Up,Down,a_request)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
       IMPLICIT NONE
@@ -800,5 +800,5 @@
 
   SUBROUTINE Register_SwapField_gen_v(FieldS,FieldR,ll,old_dist,new_dist,Up,Down,a_request)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
     IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/nxgrad_gam_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/nxgrad_gam_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/nxgrad_gam_loc.F	(revision 1823)
@@ -9,5 +9,5 @@
 c       x  et y    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/nxgrad_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/nxgrad_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/nxgrad_loc.F	(revision 1823)
@@ -9,5 +9,5 @@
 c       x  et y    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/nxgraro2_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/nxgraro2_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/nxgraro2_loc.F	(revision 1823)
@@ -13,5 +13,5 @@
 c
       USE write_Field_p
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE mod_hallo
Index: /LMDZ5/trunk/libf/dyn3dmem/nxgraro2_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/nxgraro2_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/nxgraro2_mod.F90	(revision 1823)
@@ -10,5 +10,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -26,5 +26,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
     TYPE(distrib),INTENT(IN) :: dist
Index: /LMDZ5/trunk/libf/dyn3dmem/nxgrarot_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/nxgrarot_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/nxgrarot_p.F	(revision 1823)
@@ -13,5 +13,5 @@
 c
 c
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE write_field_p
